import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetOriginEndpointPolicyRequest,
  GetOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetOriginEndpointPolicyCommandInput
  extends GetOriginEndpointPolicyRequest {}
export interface GetOriginEndpointPolicyCommandOutput
  extends GetOriginEndpointPolicyResponse,
    __MetadataBearer {}
export declare class GetOriginEndpointPolicyCommand extends $Command<
  GetOriginEndpointPolicyCommandInput,
  GetOriginEndpointPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: GetOriginEndpointPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetOriginEndpointPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetOriginEndpointPolicyCommandInput,
    GetOriginEndpointPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
